Restart a pipeline
curl --request POST \
--url http://{controllerHost}:8000/api/v1/pipelines/{id}/restart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"force": false
}'import requests
url = "http://{controllerHost}:8000/api/v1/pipelines/{id}/restart"
payload = { "force": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({force: false})
};
fetch('http://{controllerHost}:8000/api/v1/pipelines/{id}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8000",
CURLOPT_URL => "http://{controllerHost}:8000/api/v1/pipelines/{id}/restart",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'force' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://{controllerHost}:8000/api/v1/pipelines/{id}/restart"
payload := strings.NewReader("{\n \"force\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://{controllerHost}:8000/api/v1/pipelines/{id}/restart")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"force\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://{controllerHost}:8000/api/v1/pipelines/{id}/restart")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"force\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "abc123",
"name": "my-pipeline",
"query": "INSERT INTO sink SELECT * FROM source",
"parallelism": 4,
"checkpoint_interval_micros": 30000000,
"stop": "none",
"created_at": 1700000000000000,
"graph": {
"nodes": [],
"edges": []
},
"action": "stop",
"action_text": "Stop",
"action_in_progress": false,
"preview": false
}{
"error": "descriptive error message"
}Restart a pipeline
Restarts a stopped or failed pipeline.
POST
/
pipelines
/
{id}
/
restart
Restart a pipeline
curl --request POST \
--url http://{controllerHost}:8000/api/v1/pipelines/{id}/restart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"force": false
}'import requests
url = "http://{controllerHost}:8000/api/v1/pipelines/{id}/restart"
payload = { "force": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({force: false})
};
fetch('http://{controllerHost}:8000/api/v1/pipelines/{id}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8000",
CURLOPT_URL => "http://{controllerHost}:8000/api/v1/pipelines/{id}/restart",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'force' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://{controllerHost}:8000/api/v1/pipelines/{id}/restart"
payload := strings.NewReader("{\n \"force\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://{controllerHost}:8000/api/v1/pipelines/{id}/restart")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"force\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://{controllerHost}:8000/api/v1/pipelines/{id}/restart")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"force\": false\n}"
response = http.request(request)
puts response.read_body{
"id": "abc123",
"name": "my-pipeline",
"query": "INSERT INTO sink SELECT * FROM source",
"parallelism": 4,
"checkpoint_interval_micros": 30000000,
"stop": "none",
"created_at": 1700000000000000,
"graph": {
"nodes": [],
"edges": []
},
"action": "stop",
"action_text": "Stop",
"action_in_progress": false,
"preview": false
}{
"error": "descriptive error message"
}Authorizations
Send the API token as Authorization: Bearer <token>.
Path Parameters
The pipeline ID.
Body
application/json
Skip taking a final checkpoint before restarting.
Response
A Pipeline object.